| Home | Libraries | People | FAQ | More

## Struct template assignable

boost::type_erasure::assignable

## Synopsis

    // In header: <boost/type_erasure/builtin.hpp>

    template<typename T = _self, typename U = const T&>
    struct assignable {

      // public static functions
      static void apply(T &, U);
    };

## Description

Enables assignment of any types.

### `assignable` public static functions

1.     static void apply(T & dst, U src);